micro_utils.dokka
0.15.1

# Package-level declarations

## Types

KeyValuesAndroidRepo
Link copied to clipboard
typealias KeyValuesAndroidRepo<Key, Value> = OneToManyAndroidRepo<Key, Value>
OneToManyAndroidRepo
Link copied to clipboard
class OneToManyAndroidRepo<Key, Value>(tableName: String, keyAsString: Key.() -> String, valueAsString: Value.() -> String, keyFromString: String.() -> Key, valueFromString: String.() -> Value, helper: SQLiteOpenHelper) : KeyValuesRepo<Key, Value>

## Functions

KeyValuesAndroidRepo
Link copied to clipboard
fun <Key, Value> KeyValuesAndroidRepo(tableName: String, keySerializer: KSerializer<Key>, valueSerializer: KSerializer<Value>, helper: SQLiteOpenHelper): OneToManyAndroidRepo<Key, Value>
OneToManyAndroidRepo
Link copied to clipboard
fun <Key, Value> OneToManyAndroidRepo(tableName: String, keySerializer: KSerializer<Key>, valueSerializer: KSerializer<Value>, helper: SQLiteOpenHelper): OneToManyAndroidRepo<Key, Value>